JDO
  1. JDO
  2. JDO-684

Fix OSGi Export-Package entries in JDO 3.0 manifest to include version

    Details

      Description

      The manifest for the JDO API project fails to specify package versions in its OSGi Export-Package entry. I've added these & revised the version from 3.0 to 3.0.1, as the 3.0 artifacts have already been published. Without the package-level version specifications, Virgo (Eclipse Equinox + Spring dm Server additions) reports version 0.0.0 for all packages, causing missing bundle dependencies downstream, including DataNucleus.

      Patch to follow bug submission.

      1. JDO-684.patch
        3 kB
        Matthew T. Adams

        Activity

        No work has yet been logged on this issue.

          People

          • Assignee:
            Matthew T. Adams
            Reporter:
            Matthew T. Adams
          • Votes:
            1 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development